petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGlobalToLocal

update local vectors from global vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGlobalToLocal(DM dm,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on dm

### Input Parameters

| dm | - the DM object
| g | - the global vector
| mode | - INSERT_VALUES or ADD_VALUES
| l | - the local vector

### Notes

The communication involved in this update can be overlapped with computation by using DMGlobalToLocalBegin() and DMGlobalToLocalEnd().

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMLocalToGlobal(), DMLocalToGlobalBegin(), DMLocalToGlobalEnd()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages